SoOneShotSensor(3)

NAME
SoOneShotSensor - The SoOneShotSensor class is a sensor which will trigger once.

SYNOPSIS

#include <Inventor/sensors/SoOneShotSensor.h>

Inherits SoDelayQueueSensor.

  Public Member Functions
SoOneShotSensor (void)
SoOneShotSensor (SoSensorCB *func, void *data)
virtual ~SoOneShotSensor (void)
Public Member Functions inherited from SoDelayQueueSensor
SoDelayQueueSensor (void)
SoDelayQueueSensor (SoSensorCB *func, void *data)
virtual ~SoDelayQueueSensor (void)
void setPriority (uint32_t pri)
uint32_t getPriority (void) const
virtual void schedule (void)
virtual void unschedule (void)
virtual SbBool isScheduled (void) const
virtual SbBool isIdleOnly (void) const
virtual void trigger (void)
Public Member Functions inherited from SoSensor
SoSensor (void)
SoSensor (SoSensorCB *func, void *data)
virtual ~SoSensor (void)
void setFunction (SoSensorCB *callbackfunction)
SoSensorCBPtr getFunction (void) const
void setData (void *callbackdata)
void * getData (void) const
void setNextInQueue (SoSensor *next)
SoSensor * getNextInQueue (void) const

  Additional Inherited Members
Static Public Member Functions inherited from SoDelayQueueSensor
static uint32_t getDefaultPriority (void)
Static Public Member Functions inherited from SoSensor
static void initClass (void)
Protected Attributes inherited from SoDelayQueueSensor
SbBool scheduled
Protected Attributes inherited from SoSensor
SoSensorCB * func
void * funcData

Detailed Description

The SoOneShotSensor class is a sensor which will trigger once. Since SoOneShotSensor is a subclass of SoDelayQueueSensor, it will trigger as soon as either the runtime system is idle, or if it is continually busy it will trigger within a fixed amount of time (this is by default 1/12th of a second, see SoSensorManager::setDelaySensorTimeout()).

Constructor & Destructor Documentation

  SoOneShotSensor::SoOneShotSensor (void )
Constructor.

  SoOneShotSensor::SoOneShotSensor (SoSensorCB * func, void * data)
Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
    setFunction(), setData()

  SoOneShotSensor::~SoOneShotSensor (void ) [virtual]
Destructor.

Author

Generated automatically by Doxygen for Coin from the source code.